解决安装编程软件NetBeans IDE 依赖包

因为要学习PHP语言,所以今天试着在ubuntu上安装NetBeans 集成编程软件。幸运的是在ubuntu软件中心由这个软件,但是安装过程当中出现问题了?就是依赖包,因为以前在安装其他软件的时候也出现过类似的问题,原因是新版本ubuntu 10.10之后的软源取出了以前老的依赖包,造成依赖包兼容识别的问题,所有我想到的办法是添加以前版本的软件源,对于此软件源最全的是台湾的一个源,而且速度也相当快。
这是ubuntu 9.10的源,打开源文件,打开终端:
建议先备份:
sudo cp /etc/apt/sources.list /etc/apt/sources.list_backup
打开源文件:
ubuntu:
gksu gedit /etc/apt/sources.list
kubuntu:
kdesu kate /etc/apt/sources.list
Lubuntu:
gksu mousepad /etc/apt/sources.list
在后面添加下面的源:

deb http://tw.archive.ubuntu.com/ubuntu karmic main restricted universe multiverse
deb http://tw.archive.ubuntu.com/ubuntu karmic-security main restricted universe multiverse
deb http://tw.archive.ubuntu.com/ubuntu karmic-updates main restricted universe multiverse
deb http://tw.archive.ubuntu.com/ubuntu karmic-backports main restricted universe multiverse
deb http://tw.archive.ubuntu.com/ubuntu karmic-proposed main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu karmic main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu karmic-security main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu karmic-updates main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu karmic-backports main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu karmic-proposed main restricted universe multiverse

更新源,终端输入:
sudo apt-get update

然后再打开软件中心安装就是,很简单就不说了。

安装之后的启动界面:

投稿作者 作者网站


为您推荐

说点什么

您将是第一位评论人!

提醒
avatar
wpDiscuz